"Mathematics is the language in which God has written the universe..."
--Nicholas Copernicus

I fell in love with word-smithing in the eleventh grade after reading Shakespeare's sonnets because Iambic pentameter is the edge effect where the languages of Mathetmatics and English meet and I thought this was the coolest thing in the world. This inspired me to write my own Sonnets. I even gave one to my hopeless crush. She wasn't as impressed, but in retrospect, poetry was my first love.

I had some flings with fiction, a few blogs, and in 2014 fell in love with a younger, sexier form of mathematical poetry--Bitcoin: A Peer-To-Peer Electronic Cash System. She taught me what Copernicus observed so long ago. Mathematics is the language of the universe. I did not understand most of the math in the white paper when I first read it. I had no idea what a "digital signature" was. I never had the word hash without the words corned beef in front of it, but I thought fractional reserve banking and bailouts helped the rich get richer and the poor get poorer. My limited background knowledge from messing around with Napster and BitTorrent clued me in incentivized incentivizedto the fact that Bitcoin was a full reserve banking system in cyberspace. Satoshi was gifted and the white paper looks like an important historical document. He writes in plain English, math, and C+ which means bitcoin is written in three languages like the Rosetta Stone.

"To implement  a distributed timestamp server on a Peer-To-Peer basis we will need to use a proof-of-work system similar to Adam Back's Hashcash, rather than newspaper or Usenet posts."
--Satoshi Nakamoto, Bitcoin: A Peer To Peer Electronic Cash System

![Bitcoin White Paper](https://i.nostr.build/KKZnL41ElbcpGd3V.jpg)



## Proof Of Poetry

Adam Back discovered hashcash. Satoshi cited this in the White paper, as noted above. Despite it's name, hashcash was not a "cryptocurrency." It would be more accurate to describe it as a digital stamp. Stamps have a cost, of course, and so does hashcash. We can't hand a piece of paper with a portrait of some dude wearing a wig, of course. We must pay for electronic stamps with the only resource computers can use, energy. This makes energy, or electricity rather, currency for computers. Therefore, you must pay for the hashcash stamp with electricity. As everyone who has been shocked by their electricity bill in the summer knows, electricity has a real cost. The beauty of hash cash is you wouldn't notice a difference on your electric bill if you sent a dozen emails a month. If you spammed the whole Word Wide Web with a chain-letter, chances are you'll cuss out your electric bill. Hashcash is a stamp you pay for with computational power, which requires your computer to get paid with electricity.

Proof Of Work is a little different on hashcash than bitcoin because it uses SHA1 and bitcoin uses SHA256, but check line from hashcash.org out:

`echo -n 0:030626:adam@cypherspace.org:6470e06d773e05a8 | sha1
00000000c70db7389f241b8f441fcf068aead3f0

`

See those C00l-looking zeros in the front? Satoshi called them “zero bits.” Whenever someone sends a bitcoin transaction, it goes to the mempool. This is like Purgatory for bitcoin transactions. A bitcoin doesn't get it's wings right away like when a bell rings on It's A Wonderful Life. It needs to be confirmed like a Catholic. If it's not confirmed, it does not reach heaven. You know how computers use electricity, but not paper money? Transactions don't have an actual afterlife in the clouds either, These transactions are trying to get into the precious, scarce blockspace of the bitcoin time chain. Miners include different transactions in a block template and add a nonce, number used once...I'm gonna stop myself here before readers die of boredom. It's just math. If you're interested in seeing this math in action play around with [this website](https://xorbin.com/). You can type whatever you want. The math works on all [ASCII](https://en.wikipedia.org/wiki/ASCII) characters because each letter or symbol represents a number.

If we hash the code from hashcash.org above using the SHA1 calculator it gives us this result.

![hashcash example](https://i.nostr.build/A5nEsVXh4hsaeKmz.png)

If we add a question mark to this text, we get this result.

![the same thing with ?](https://i.nostr.build/QlWTMFzRPH32nthY.png)

We see a totally different 64 character combination. This is how data is verified in Cyberseurity, and bitcoin is no different which should not suprise anyone since SHA256 is also used in cybersecurity. To change the math requires changing every single one of these transactions since January 3rd, 2009. How horifying would your electric bill need to be to accomplish this? I don't know, but It's not likely to happen since honesest miners are rewarded with fees, These fees are like tribute transactions must pay to get out of purgatory, Some transactions pay more, some try to pay less. The miners are incintivized to let the more expensive transactions to go through the pearly white gates of the bitcoin time chain. 

Adam Back's email is not a transaction, but those leading zero bits are the backbone of the bitcoin time chain. If you hash my full legal name with SHA1, we get this result `02c53da577460a2e8eead6e85da88199c64eb1bd`. If we hash it with SHA256, I see two zero bits. `0024f0a28bf81851ed8490c4e87173f8790bd9d8ea9423442114d25ad7137f51` Pretty cool, right? 

These zerobits are also found in the bitcoin timechain. Look at the blocks 87402 through 874039:

- https://mempool.marc26z.com/block/0000000000000000000252449e143c01d95b535c7f7a5aa0c321d689ee3bfcb7
- https://mempool.marc26z.com/block/000000000000000000020ce9cb6d4ad0363aa3992f40739e794a749cfbeea74d
- https://mempool.marc26z.com/block/0000000000000000000055c358a666b6188349787741e4d51a0f1d3c60e5f8ae
- https://mempool.marc26z.com/block/00000000000000000000f17afb5f4bcab00c75dea27659c9b596878763c83533
- https://mempool.marc26z.com/block/00000000000000000000c09a854ef63d9b99594997d3f0b8fa7229944b8ea3cb



Notice how each line from a from an instance of mepool that I run from a [Start9](https://store.start9.com/) server has zerobits in the front. This is because bitcoin uses the same matehmatical poetry that Adam Back Discovered in 1997. It's elegant, has a pattern, dare I say rhthym and looks like art like a sonnet.

![shakespere sonnet 18](https://i.nostr.build/LFKPOX9jwC2a2l6W.png) Look at those last two lines. Like zerobits repeated in the bitcoin timechain, the words So long are repeated in the begining of lines 13 and 14. Bitcoin looks like poetry because bitcoin is poetry.

### Poetic Justice

